## org.metaabm.act
Interface AShaped

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ACreateShapedAgents, ALoadShapedAgents

All Known Implementing Classes:
  ACreateShapedAgentsImpl, ALoadShapedAgentsImpl, AShapedImpl

    public interface AShaped

extends org.eclipse.emf.ecore.EObject

A representation of the model object ' AShaped'.

The following features are supported:

- `Shape`

See Also:
  `MetaABMActPackage.getAShaped()`

Method Summary
`SShapeType` `getShape()` Returns the value of the 'Shape' attribute.
`void` `setShape(SShapeType value)` Sets the value of the '`Shape`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getShape

    SShapeType getShape()

  Returns the value of the 'Shape' attribute. The default value is `"POINT"`. The literals are from the enumeration `SShapeType`.

  If the meaning of the 'Shape' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Shape' attribute.
  See Also:
    `SShapeType`, `setShape(SShapeType)`, `MetaABMActPackage.getAShaped_Shape()`

### setShape

    void setShape(SShapeType value)

  Sets the value of the '`Shape`' attribute.

  Parameters:
    `value` - the new value of the 'Shape' attribute.
  See Also:
    `SShapeType`, `getShape()`